<template>
  <v-bottom-navigation app grow color="primary">
    <v-btn v-for="nav in navigation" :key="nav.icon" nuxt :to="nav.to">
      <span>{{ nav.title }}</span>

      <v-badge
        :value="nav.badge !== undefined && nav.badge"
        :content="nav.badge"
        overlap
        bordered
      >
        <v-icon>{{ nav.icon }}</v-icon>
      </v-badge>
    </v-btn>
  </v-bottom-navigation>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    navigation: {
      type: Array,
      required: true,
    },
  },
})
</script>
